import { LobbyListRequest } from "../define/Request/LobbyRequest";
import { INetResponse } from "../Engine/CatanEngine/NetManagerV2/Core/INetResponse";
import Room from "../Room/Room";

/**
 * Lobby
 */
export default class Lobby {

	//#region private

	private static list: Room[] = []

	//#endregion

	//#region Custom

	/** GetList */
	public static GetList(req: INetResponse<any>): void {
		let resp: LobbyListRequest = new LobbyListRequest(req.WS, this.list, 0)
		req.WS.SendClient(resp)
	}

	/** Create */
	public static Create(req: INetResponse<any>): void {
		let room = new Room()
		this.list.push(room)
		//
	}

	/** Join */
	public static Join(req: INetResponse<any>): void {
		//
	}

	/** Exit */
	public static Exit(req: INetResponse<any>): void {
		//
	}

	//#endregion
}
